# List Brand Glossary

Retrieves a list of brand glossaries created under your account. Brand Glossary defines translation and pronunciation rules for maintaining consistent terminology and pronunciation across videos.

<Callout icon="📘" theme="info">
  **Note:**

  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/brand_voice/list": {
      "get": {
        "summary": "List Brand Voices",
        "description": "This endpoint is used to retrieve a list of brand voices your created",
        "operationId": "list-brand-voices",
        "parameters": [
          {
            "name": "limit",
            "in": "query",
            "description": "Maximum number of brand glossaries to return in a single response. Accepts values from `0` to `100`. If more than 100 brand glossaries are available, use the pagination token to retrieve additional results. ",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 100
            }
          },
          {
            "name": "token",
            "in": "query",
            "description": "Pagination token used to retrieve the next set of results when the total number of records exceeds the specified/default limit. _This token is returned in the response and can be included in the next request to continue listing remaining brand voices._ ",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Brand glossaries retrieved successfully - Expand to view the detailed response schema. ",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"error\": null,\n    \"data\": {\n        \"list\": [\n            {\n                \"name\": \"Brand Glossary\",\n                \"blacklist\": [\n                    \"NASA\",\n                    \"Experiment\",\n                    \"Electroscope\",\n                ],\n                \"whitelist\": [\n                    [\n                        \"ML\",\n                        \"Machine Learning\"\n                    ],\n                    [\n                        \"Artificial Intelligence\",\n                        \"AI\"\n                    ]\n                ],\n                \"tones\": [],\n                \"vocabulary\": [\n                    [\n                        \"Wednesday\",\n                        \"WENZ-day\"\n                    ],\n                    [\n                        \"GIF\",\n                        \"JIF\"\n                    ]\n                ],\n                \"tone\": null,\n                \"id\": \"l2tf4af96b5e4f4eae42e0d7d90109bd\"\n            }\n        ],\n        \"total\": 2,\n        \"token\": \"beJpZCI6ICJiNWHmNGFmOTZiNWU0ZjRlv5T8imUwZDhkOTAzMDliZCIsICJjcmVhdGVkX3RzIjogIjIwMpotKL9AtMTYgMTY6MDU6MjkifL==\"\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "Displays error message when the request fails; null if the request is successful."
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "list": {
                          "type": "array",
                          "items": {
                            "properties": {
                              "name": {
                                "type": "string",
                                "description": "Name of the brand glossary. "
                              },
                              "blacklist": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                },
                                "description": "List of words or phrases that are excluded from translation or pronunciation adjustments (e.g., NASA). These words always stay as-is.   "
                              },
                              "whitelist": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                },
                                "description": "List of term pairs where each pair defines a source term and its enforced translation or form (e.g., [Machine Learning, ML])  "
                              },
                              "tones": {
                                "type": "array",
                                "description": "List of tone keywords (e.g., professional, friendly), if any are defined for the glossary. Empty if no tone settings exist. ",
                                "items": {
                                  "type": "string"
                                }
                              },
                              "vocabulary": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                },
                                "description": "List of word pairs that define custom pronunciations or phonetic spellings. Each pair includes the original word and its pronunciation. (e.g., [GIF, JIF]) "
                              },
                              "tone": {
                                "type": "string",
                                "description": "Overall style, attribute, or manner of speech for the glossary. Guides how text is spoken or translated. "
                              },
                              "id": {
                                "type": "string",
                                "description": "Unique identifier of the brand glossary. "
                              }
                            },
                            "type": "object"
                          },
                          "description": "Array of brand glossary records. "
                        },
                        "total": {
                          "type": "integer",
                          "description": "Total number of brand glossaries associated with the account. "
                        },
                        "token": {
                          "type": "string",
                          "description": "Pagination token used to retrieve the next set of results when the total exceeds the specified/default response limit. "
                        }
                      },
                      "description": "Contains the metadata and list of brand glossaries. "
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```